### Method

# Gtk Dialogset_response_sensitive

deprecated: 4.10

#### Declaration [src]

    void
    gtk_dialog_set_response_sensitive (
      GtkDialog* dialog,
      int response_id,
      gboolean setting
    )

#### Description [src]

A convenient way to sensitize/desensitize dialog buttons.

Calls `gtk_widget_set_sensitive (widget,`setting`)` for each widget in the dialog’s action area with the given `response_id`.

Deprecated since: 4.10

Use `GtkWindow` instead.

#### Parameters

`response_id`

  Type: `int`

  A response ID.

`setting`

  Type: `gboolean`

  `TRUE` for sensitive.